Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.jdbc.core
Class BatchUpdateUtils

    java.lang.Object
      org.springframework.jdbc.core.BatchUpdateUtils

Direct Known Subclasses:
  NamedParameterBatchUpdateUtils

    public abstract class BatchUpdateUtils

extends java.lang.Object

Generic utility methods for working with JDBC batch statements. Mainly for internal use within the framework.

Author:
  Thomas Risberg

Constructor Summary
`BatchUpdateUtils()`

Method Summary
`static int[]` | `executeBatchUpdate(java.lang.String sql, java.util.List<java.lang.Object[]> batchValues, int[] columnTypes, JdbcOperations jdbcOperations)`
`protected static void` | `setStatementParameters(java.lang.Object[] values, java.sql.PreparedStatement ps, int[] columnTypes)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BatchUpdateUtils

    public BatchUpdateUtils()

Method Detail

### executeBatchUpdate

    public static int[] executeBatchUpdate(java.lang.String sql,
                                           java.util.List<java.lang.Object[]> batchValues,
                                           int[] columnTypes,
                                           JdbcOperations jdbcOperations)

### setStatementParameters

    protected static void setStatementParameters(java.lang.Object[] values,
                                                 java.sql.PreparedStatement ps,
                                                 int[] columnTypes)
                                          throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD